﻿using System;
using System.Web.UI;

namespace demoHistoryFull
{
    public partial class Menu : Page
    {
        protected override void OnLoad(EventArgs e)
        {
            ScriptManager1.RegisterAsyncPostBackControl(hpaccueil);
            ScriptManager1.RegisterAsyncPostBackControl(hpcontact);
            labelTemoin.Text = DateTime.Now.ToLongTimeString();
            base.OnLoad(e);
        }

        protected void ClickLinkButton(object sender, EventArgs e)
        {
            if (sender == hpaccueil)
            {
                Show("Accueil", DateTime.Now.ToLongTimeString());
                ScriptManager1.AddHistoryPoint("Menu", "Accueil");
                ScriptManager1.AddHistoryPoint("DateAccueil", dateAccueil.Text);
            }
            else
            {
                Show("Contact", DateTime.Now.ToLongTimeString());
                ScriptManager1.AddHistoryPoint("Menu", "Contact");
                ScriptManager1.AddHistoryPoint("DateContact", dateContact.Text);
            }
        }

        private void Show(string page, string date)
        {
            if (page == "Accueil")
            {
                phcontact.Visible = false;
                phaccueil.Visible = true;
                dateAccueil.Text = date;
            }
            else
            {
                phaccueil.Visible = false;
                phcontact.Visible = true;
                dateContact.Text = date;
            }
        }

        protected void Navigate(object sender, HistoryEventArgs e)
        {
            if (e.State["Menu"] == "Accueil")
            {
                Show("Accueil", e.State["DateAccueil"]);
            }
            else
            {
                Show("Contact", e.State["DateContact"]);
            }

        }
    }
}
